Package org.apache.sysds.runtime.codegen

# Class SpoofOperator.SideInputSparseRow

java.lang.Object
org.apache.sysds.runtime.codegen.SpoofOperator.SideInput
org.apache.sysds.runtime.codegen.SpoofOperator.SideInputSparseRow

Enclosing class:
  SpoofOperator

public static class SpoofOperator.SideInputSparseRow extends SpoofOperator.SideInput

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.codegen.SpoofOperator.SideInput

`clen, ddat, mdat`

## Constructor Summary

Constructors
Constructor
Description
`SideInputSparseRow(SpoofOperator.SideInput in)`

## Method Summary

Modifier and Type
Method
Description
`int`
`pos(int r)`
`double[]`
`values(int r)`

### Methods inherited from class org.apache.sysds.runtime.codegen.SpoofOperator.SideInput

`getValue, reset`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SideInputSparseRow

public SideInputSparseRow(SpoofOperator.SideInput in)

## Method Details

### pos

public int pos(int r)

Overrides:
  `pos` in class `SpoofOperator.SideInput`

### values

public double[] values(int r)

Overrides:
  `values` in class `SpoofOperator.SideInput`